This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 427159 - no way to get rid of wifi keyring password coming up every login
no way to get rid of wifi keyring password coming up every login
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-01 12:09 EST by Jonah
Modified: 2009-01-09 00:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:40:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jonah 2008-01-01 12:09:33 EST
Description of problem:

the keyring manager won't go away and manual network configuration won't work as
when i try to enable it in system-config-network i lose my connection completely.

i want my wifi network to come up on boot and not be asked for password when
logging in everytime. i'm the only one using the computer so internet can always
be on. but can't find a way to fix this...
Comment 1 Jon Stanley 2008-01-01 12:30:52 EST
Reassigning to sane component.

What it sounds like is that you don't want NetworkManager meddling with things.
 In that case, you can use 'chkconfig NetworkManager off ; chkconfig
NetworkManagerDispatcher off', and use system-config-network to set it up.  I'm
unfortunately not that familiar with setting up wireless keys that way, since I
generally use NetworkManager.
Comment 2 Jonah 2008-01-02 03:27:24 EST
yeah that sounds like what i need to do, but there are problems with
NetworkManager, it doesn't seem to be as good as network-manager-gnome like you
get on ubuntu etc (although it's not available through yum).

when i try and activate the network with NetworkManager it returns errors:
Error for wireless request "Set Mode" (8B06) : 
    SET failed on device wlan0 ; Invalid argument. 

Determining IP information for wlan0...dhclient(3037) is already running - exiting. 
This version of ISC DHCP is based on the release available 
on ftp.isc.org.  Features have been added and other changes 
have been made to the base software release in order to make 
it work better with this distribution. 
Please report for this software via the Red Hat Bugzilla site: 
    http://bugzilla.redhat.com 
exiting. 
 failed. 
Comment 3 Jon Stanley 2008-01-03 18:48:03 EST
I think that those messages are indicative of the fact that the wireless network
interface is already up.

I'm not sure what you mean by the network-manager-gnome - you mean the little
applet that lets you switch between wireless networks and the wired network
dynamically?  That's in NetworkManager-gnome, and really the only way that I
know how to use NetworkManager.

Looking at the init scripts and the default order, it looks like you need to use
wpa_supplicant in order to authenticate to the wireless network, configuring the
keys and whatnot in /etc/wpa_supplicnat/wpa_supplicant.conf.  I checked in
system-config-network on my laptop, and it appears to have facilities for
setting the wireless keys, etc.  So what you would need to do is turn off
NetworkManager (either via system-config-services or chkconfig) and turn on network.

Let me know if that clears things up.
Comment 4 Jiri Moskovcak 2008-01-04 06:09:43 EST
You don't have to disable NM completelly, there is an option NM_CONTROLLED=no 
that you can add to your /etc/sysconfig/networking/devices/ifcfg-wlan0 and then 
NM should ignore this device.

Jirka
Comment 5 Jonah 2008-01-04 13:31:32 EST
hi i'm sorry to be no naive with this wireless stuff but i don't want to do
anything that will lose my connection because then i won't be able to get help
to get it back on.

what is the best thing to do step-by-step and how should i go about it? thanks
for any help. i think also that someone should add an option in gnome to start
wireless on boot and not need the keyring manager etc... it's not very
userfriendly at present, there is no obvious way to a new user to get access to
internet on boot. 
Comment 6 Jiri Moskovcak 2008-01-07 04:28:04 EST
Hi, I found a good "howto" that should help you to solve the problem. http://
fedoraproject.org/wiki/Tools/NetworkManager

Jirka
Comment 7 Bug Zapper 2008-11-26 04:14:35 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 00:40:20 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.